% example of solving a second order initial value ODE using a function
% handle to a subfunction
% Solve van der Pol equation

% d^2y/dy^2 = mu*(1-y^2)*dy/dt-y
function ode_ex2
tstart =0;
tfinal =20;
trange=[tstart tfinal];
y0=[2;0];  % inital conds y(0)=2, dy/dt((0)=0
options = odeset('RelTol',1e-4,'AbsTol',[1e-4 1e-5]);
[t,y]=ode45(@vdpol,trange,y0,options);
plot(t,y(:,1),t,y(:,2),'r');
legend('y','dy/dt');
% define differential equation function
function dy=vdpol(t,y)
mu=2;
dy=zeros(2,1);
dy(1)=y(2);
dy(2)=mu*(1-y(1)^2)*y(2)-y(1);
